//------------------------------------------------------------------------------
// <auto-generated>
//     Este código se generó a partir de una plantilla.
//
//     Los cambios manuales en este archivo pueden causar un comportamiento inesperado de la aplicación.
//     Los cambios manuales en este archivo se sobrescribirán si se regenera el código.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SkyNet
{
    using System;
    using System.Collections.Generic;
    
    public partial class student
    {
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2214:DoNotCallOverridableMethodsInConstructors")]
        public student()
        {
            this.historyNotes = new HashSet<historyNote>();
            this.studentCourseRegisters = new HashSet<studentCourseRegister>();
        }
    
        public int id { get; set; }
        public string name { get; set; }
        public string father_lastname { get; set; }
        public string mother_lastname { get; set; }
        public string birthday { get; set; }
        public string gender { get; set; }
        public string email { get; set; }
        public Nullable<int> id_career { get; set; }
        public string register_number { get; set; }
    
        public virtual career career { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<historyNote> historyNotes { get; set; }
        [System.Diagnostics.CodeAnalysis.SuppressMessage("Microsoft.Usage", "CA2227:CollectionPropertiesShouldBeReadOnly")]
        public virtual ICollection<studentCourseRegister> studentCourseRegisters { get; set; }
    }
}
